ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportMQ Installation Error on Debian 64 bit - mqlicense.sh

Post new topicReply to topic
MQ Installation Error on Debian 64 bit - mqlicense.sh View previous topic :: View next topic
Author Message
Northsider
PostPosted: Thu Oct 20, 2016 4:23 am Post subject: MQ Installation Error on Debian 64 bit - mqlicense.sh Reply with quote

Novice

Joined: 09 Mar 2005
Posts: 16

Hi all,

Trying to accept the mqlicense.sh on a debian server, but I get the following error:

./mqlicense.sh
ERROR: This package is incompatible with this system
This package was built for Linux_x86_64
---
root@debian:/# arch
x86_64

root@debian:/# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description: Debian GNU/Linux 8.6 (jessie)
Release: 8.6
Codename: jessie

root@debian:/# uname -a
Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 GNU/Linux

package = mqadv_dev80_linux_x86-64.tar.gz

What am I not seeing?

-> post resembles this topic, but as my machine is fully 64 bit, not the same.
http://www.mqseries.net/phpBB2/viewtopic.php?t=67659&postdays=0&postorder=asc&start=0
Back to top
View user's profile Send private message
mqjeff
PostPosted: Thu Oct 20, 2016 4:41 am Post subject: Reply with quote

Grand Master

Joined: 25 Jun 2008
Posts: 17448

What MQ installer package did you download?

What version of ubuntu is supported with that level of MQ?
_________________
chmod -R ugo-wx /
Back to top
View user's profile Send private message
Philip Morten
PostPosted: Thu Oct 20, 2016 6:32 am Post subject: Reply with quote

Master

Joined: 07 Mar 2002
Posts: 230
Location: Hursley Park

What is the output from uname -i. My guess is that it is reporting amd64 which does not match the x86_64 encoded in mqlicense.sh.

Supported Linux distributions for MQ Version 8 are shown here:
http://www-969.ibm.com/software/reports/compatibility/clarity-reports/report/html/softwareReqsForProduct?deliverableId=1350550241693&osPlatform=Linux
_________________
Philip Morten
Back to top
View user's profile Send private message
Northsider
PostPosted: Thu Oct 20, 2016 7:45 am Post subject: Reply with quote

Novice

Joined: 09 Mar 2005
Posts: 16

thanks for the response, seems that my Debian installation is far from perfect?

the: "uname -a" already should have included the -i and -p information.. unless they are unknown....

Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u2 (2016-10-19) x86_64 GNU/Linux

root@debian:/# uname -i
unknown

root@debian:/# uname -p
unknown

thanks for the link Philip - I thought I could play with MQ in Debian, but that seems to have some disadvantages.. will try another distro, thanks
Back to top
View user's profile Send private message
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportMQ Installation Error on Debian 64 bit - mqlicense.sh
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.